I saw a similar problem on the N-Gage.

You need the build the N-Gage app with the appropriate version of the SDK (v1.2 Nokia edition). If you try building it with the platform 2 SDK (as you would...